> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Cloud Defender configuration

> Create a new Cloud Defender configuration in the Web Application.

You can create only Cloud Defender configurations for organizations you can manage.



## OpenAPI

````yaml post /api/v1/cloud-defender
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/cloud-defender:
    post:
      tags:
        - cloud-defender
      description: >-
        Create a new Cloud Defender configuration in the Web Application.


        You can create only Cloud Defender configurations for organizations you
        can manage.
      operationId: cloud_defender_create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                organization:
                  type: number
                  description: >-
                    Organization unique identifier for which the Cloud Defender
                    is installed.
                  examples:
                    - 5
                    - 10
                    - 15
                fqdn:
                  type: string
                  description: >-
                    (Fully Qualified Domain Name) is your web application domain
                    name.
                  examples:
                    - sample.com
                email:
                  type: string
                  format: email
                  description: Email address of the Cloud Defender manager.
                  examples:
                    - jdoe@sample.com
                endpoint:
                  type: string
                  format: ipv4
                  description: Web application exposed interface address.
                  examples:
                    - 11.22.33.44
                services:
                  type: array
                  description: The services you need to activate for the web application.
                  items:
                    type: string
                    enum:
                      - Caching
                      - DDoS
                      - OneFirewall
                      - WAF
          multipart/form-data:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    organization:
                      type: number
                      description: >-
                        Organization unique identifier for which the Cloud
                        Defender is installed.
                      examples:
                        - 5
                        - 10
                        - 15
                    fqdn:
                      type: string
                      description: >-
                        (Fully Qualified Domain Name) is your web application
                        domain name.
                      examples:
                        - sample.com
                    email:
                      type: string
                      format: email
                      description: Email address of the Cloud Defender manager.
                      examples:
                        - jdoe@sample.com
                    endpoint:
                      type: string
                      format: ipv4
                      description: Web application exposed interface address.
                      examples:
                        - 11.22.33.44
                    services:
                      type: array
                      description: >-
                        The services you need to activate for the web
                        application.
                      items:
                        type: string
                        enum:
                          - Caching
                          - DDoS
                          - OneFirewall
                          - WAF
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  ticket:
                    type: number
                    description: Created Cloud Defender unique id.
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - Invalid data provided
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````